Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#74611 - [python-pylast] 5.0.0-1 lacks required dependencies

Attached to Project: Community Packages
Opened by Alex Tharp (toastercup) - Monday, 02 May 2022, 03:16 GMT
Last edited by Chih-Hsuan Yen (yan12125) - Friday, 13 May 2022, 10:06 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Maxime Gauduin (Alucryd)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 2
Private No

Details

Description:
Version 5.0.0 of python-pylast requires two new runtime dependencies:
* python-importlib-metadata
* python-httpx

For example, without python-httpx, this error is produced by an application that depends on python-pylast:
```
from pylast import WSError, Tag
File "/usr/lib/python3.10/site-packages/pylast/__init__.py", line 37, in <module>
import httpx
ModuleNotFoundError: No module named 'httpx'
```
(Note: this is a partial stack trace)

Any use of this library is impossible without these dependencies.

Additional info:
You can see these dependencies declared here: https://github.com/pylast/pylast/blob/5.0.0/setup.cfg#L35-L36

Additionally, from what I can tell, it does not appear that this lib requires python-six as a runtime dependency. There are no references to python-six in the lib's sourcecode. I believe you should be able to remove this as a required runtime dependency.

Steps to reproduce:
As an example, try installing foobnix from the AUR, which depends on python-pylast. Ensure you do not have one or both of those dependencies installed (I haven't tested python-pylast without python-importlib-metadata installed, as other software I have installed depends on that library). It will fail to start with the above stack trace until you install python-httpx and python-importlib-metadata.
This task depends upon

Comment by Pig Monkey (pigmonkey) - Friday, 13 May 2022, 00:10 GMT
I have the same issue with missing python-httpx. The addition of this dependency can be seen in the upstream changelog here: https://github.com/pylast/pylast/releases/tag/5.0.0
Comment by Manuel Barrio Linares (kIERO) - Monday, 16 May 2022, 17:48 GMT
I've had the same issue today after upgrading an app, https://github.com/Taiko2k/TauonMusicBox/issues/750

Traceback (most recent call last):
File "/opt/tauon-music-box/tauon.py", line 248, in <module>
exec(main)
File "/opt/tauon-music-box/t_modules/t_main.py", line 666, in <module>
import pylast
File "/usr/lib/python3.10/site-packages/pylast/__init__.py", line 37, in <module>
import httpx
ModuleNotFoundError: No module named 'httpx'

Loading...